# List all braintree payments

To [fetch](https://docs.commercelayer.io/core/fetching-resources) a collection of braintree payments, send a `GET` request to the `/api/braintree_payments` endpoint.

## Request

**GET** <https://yourdomain.commercelayer.io/api/braintree\\_payments>

### **Example**

{% tabs %}
{% tab title="Request" %}
The following request fetches a collection of braintree payments:

```shell
curl -g -X GET \
  'https://yourdomain.commercelayer.io/api/braintree_payments/' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer your-access-token'
```

{% endtab %}

{% tab title="Response" %}
On success, the API responds with a `200 OK` status code, returning a paginated collection of resource objects:

```json
{
  "data": [
    {
      "id": "XAyRWNUzyN",
      "type": "braintree_payments",
      "links": {
        "self": "https://yourdomain.commercelayer.io/api/braintree_payments/XAyRWNUzyN"
      },
      "attributes": {
        "client_token": "xxxx.yyyy.zzzz",
        "payment_method_nonce": "xxxx.yyyy.zzzz",
        "payment_id": "xxxx.yyyy.zzzz",
        "local": true,
        "options": {
          "customer_id": "1234567890"
        },
        "payment_instrument": {
          "issuer": "cl bank",
          "card_type": "visa"
        },
        "created_at": "2018-01-01T12:00:00.000Z",
        "updated_at": "2018-01-01T12:00:00.000Z",
        "reference": "ANY-EXTERNAL-REFEFERNCE",
        "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
        "metadata": {
          "foo": "bar"
        }
      },
      "relationships": {
        "order": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/braintree_payments/XAyRWNUzyN/relationships/order",
            "related": "https://yourdomain.commercelayer.io/api/braintree_payments/XAyRWNUzyN/order"
          }
        },
        "payment_gateway": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/braintree_payments/XAyRWNUzyN/relationships/payment_gateway",
            "related": "https://yourdomain.commercelayer.io/api/braintree_payments/XAyRWNUzyN/payment_gateway"
          }
        },
        "versions": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/braintree_payments/XAyRWNUzyN/relationships/versions",
            "related": "https://yourdomain.commercelayer.io/api/braintree_payments/XAyRWNUzyN/versions"
          }
        },
        "event_stores": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/braintree_payments/XAyRWNUzyN/relationships/event_stores",
            "related": "https://yourdomain.commercelayer.io/api/braintree_payments/XAyRWNUzyN/event_stores"
          }
        }
      },
      "meta": {
        "mode": "test",
        "organization_id": "xRRkjDFafe",
        "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
      }
    },
    {
      "other": "... 9 braintree_payments (first page)"
    }
  ],
  "meta": {
    "record_count": 140,
    "page_count": 14
  },
  "links": {
    "first": "https://yourdomain.commercelayer.io/api/braintree_payments?page[number]=1&page[size]=10",
    "next": "https://yourdomain.commercelayer.io/api/braintree_payments?page[number]=2&page[size]=10",
    "last": "https://yourdomain.commercelayer.io/api/braintree_payments?page[number]=14&page[size]=10"
  }
}
```

{% endtab %}
{% endtabs %}

Remember that when you fetch a list of resources you get [paginated](https://docs.commercelayer.io/core/pagination) result.

### Sortable fields

The list of braintree payments can be [sorted](https://docs.commercelayer.io/core/sorting-results) by the following fields:

#### Attributes

* `id`
* `created_at`
* `updated_at`
* `reference`
* `reference_origin`

#### Relationships

* `order`

### Filterable fields

The list of braintree payments can be [filtered](https://docs.commercelayer.io/core/filtering-data) by the following fields:

#### Attributes

* `id`
* `created_at`
* `updated_at`
* `reference`
* `reference_origin`
* `metadata`

#### Relationships

* `order`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.commercelayer.io/core-api-reference/braintree_payments/list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
